//
//  TabInfo.swift
//  App
//
//  Created by James Magahern on 8/5/22.
//

import Foundation
import Combine

struct TabInfo: Codable, Hashable
{
    public var title:       String?
    public var urlString:   String?
    public var faviconData: Data?
    public var identifier = UUID()
        
    enum CodingKeys: String, CodingKey {
        case title
        case urlString = "url"
        case faviconData
        case identifier
    }
}
